Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ssh
Class ScpToMessage

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage
            |
            +--org.apache.tools.ant.taskdefs.optional.ssh.ScpToMessage

public class ScpToMessage
extends AbstractSshMessage

Constructor Summary
`ScpToMessage(boolean verbose, com.jcraft.jsch.Session session, java.io.File aLocalFile, java.lang.String aRemotePath)`
`ScpToMessage(boolean verbose, com.jcraft.jsch.Session session, java.util.List aDirectoryList, java.lang.String aRemotePath)`
`ScpToMessage(com.jcraft.jsch.Session session, java.io.File aLocalFile, java.lang.String aRemotePath)`
`ScpToMessage(com.jcraft.jsch.Session session, java.util.List aDirectoryList, java.lang.String aRemotePath)`

Method Summary
`void` | `execute()`
`java.io.File` | `getLocalFile()`
`java.lang.String` | `getRemotePath()`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage
`getVerbose, log, logStats, openExecChannel, sendAck, setLogListener, trackProgress, waitForAck`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScpToMessage

    public ScpToMessage(boolean verbose,
                        com.jcraft.jsch.Session session,
                        java.io.File aLocalFile,
                        java.lang.String aRemotePath)

Since:
  Ant 1.6.2

### ScpToMessage

    public ScpToMessage(boolean verbose,
                        com.jcraft.jsch.Session session,
                        java.util.List aDirectoryList,
                        java.lang.String aRemotePath)

Since:
  Ant 1.6.2

### ScpToMessage

    public ScpToMessage(com.jcraft.jsch.Session session,
                        java.io.File aLocalFile,
                        java.lang.String aRemotePath)

### ScpToMessage

    public ScpToMessage(com.jcraft.jsch.Session session,
                        java.util.List aDirectoryList,
                        java.lang.String aRemotePath)

Method Detail

### execute

    public void execute()
                 throws java.io.IOException,
                        com.jcraft.jsch.JSchException

  Specified by:
    `execute` in class `AbstractSshMessage`
    `java.io.IOException`
    `com.jcraft.jsch.JSchException`

### getLocalFile

    public java.io.File getLocalFile()

### getRemotePath

    public java.lang.String getRemotePath()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.